<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>His账单明细查询</title>
    <link rel="stylesheet" th:href="@{/layui/css/layui.css}">
    <link rel="stylesheet" th:href="@{/css/common.css}">
    <!-- 引入组件库 -->
    <script th:src="@{/layui/jquery-3.4.1.min.js}"></script>
    <script th:src="@{/layui/layui.js}"></script>
    <script th:src="@{/layui/lay/xmSelect/xm-select.js}"></script>
    <script th:src="@{/js/common.js}"></script>

    <style>
        body {
            background: #f2f2f2
        }

        #boxDiv {
            background: #ffffff
        }

        #titleDiv {
            overflow: visible;
        }

        .content {
            padding: 0 8px;
        }

        .tableTitle {
            height: 20px;
            margin-top: 10px;
            margin-bottom: 10px;
        }

        .tableTitle > * {
            height: 20px;
            line-height: 20px;
            display: inline-block;
            margin-right: 5px;
        }

        .tableName {
            border-left: 3px solid #0000FF;
            padding-left: 5px;
            font-size: 16px;
            font-weight: bold;
        }

        .selectDate {
            font-size: 14px;
            color: rgba(0, 0, 0, 0.65)
        }
    </style>
</head>
<body class="layui-layout-body">
<div id="boxDiv" style="left:8px;right: 8px;bottom:8px;top:8px;position:absolute;">
    <div class="toolbar" id="titleDiv">
        <div style="display: inline-block;">
            <form class="layui-form">
                <div class="layui-inline">
                    <label class="layui-form-label">支付方式</label>
                    <div class="layui-input-inline formWidthTwo">
                        <select id="payType" class="">
                            <option value="">请选择支付方式</option>
                            <option th:each="payTypeObj : ${payTypeList}" th:value="${payTypeObj.dicvalue}"
                                    th:text="${payTypeObj.dicname}"></option>
                        </select>
                    </div>
                </div>
                <div class="layui-inline">
                    <label class="layui-form-label">业务类型</label>
                    <div class="layui-input-inline formWidthTwo">
                        <select id="bizType" class="">
                            <option value="">请选择业务类型</option>
                            <option th:each="bizTypeObj : ${bizTypeList}" th:value="${bizTypeObj.dicvalue}"
                                    th:text="${bizTypeObj.dicname}"></option>
                        </select>
                    </div>
                </div>
                <div class="layui-inline">
                    <label class="layui-form-label">日期选择</label>
                    <div class="layui-input-inline">
                        <input type="text" class="layui-input formWidthTwo" id="searchDate" placeholder=" ~ "
                               th:value="${startTime+' ~ '+endTime}">
                    </div>
                </div>
                <div class="layui-inline">
                    <div class="layui-input-inline">
                        <input type="text" class="layui-input" style="width: 240px;" id="likeFiled"
                               placeholder="请输入平台交易号">
                    </div>
                </div>
            </form>
        </div>
        <div class="layui-inline">
            <button class="layui-btn layui-btn-sm layui-btn-normal" data-type="search" id="search" onclick="search()"><i
                    class="layui-icon layui-icon-search"></i>查询
            </button>
            <button class="layui-btn layui-btn-sm layui-btn-normal" onclick="exportExcel()"><i class="layui-icon">&#xe67d;</i>导出
            </button>
        </div>
    </div>
    <div class="content">
        <div class="tableTitle">
            <span class="tableName">HIS账单明细</span>
            <span class="selectDate">&nbsp;</span>
        </div>
        <table id="demo" lay-filter="test"></table>
    </div>

</div>

</body>
<script th:inline="javascript">
    let payTypeList = [[${payTypeList}]];
    let bizTypeList = [[${bizTypeList}]];

    let layer, laydate, table, tree, form;

    layui.use(['element', 'table', 'laydate', 'layer', 'form', 'tree'], function () {
        layer = layui.layer;
        table = layui.table;
        laydate = layui.laydate;
        tree = layui.tree;
        form = layui.form;

        //表格加载
        table.render({
            elem: '#demo',
            height: 'full-' + ($(".toolbar").height() + 60),
            title: '交易明细',
            page: true,//开启分页
            limit: 20,
            limits: [20, 30, 50],
            //toolbar: '', //开启工具栏，此处显示默认图标，可以自定义模板
            defaultToolbar: [],
            id: 'test',
            //skin:'line',
            even: 'true',
            //size:'lg', 默认普通尺寸 sm 小 lg 大
            cols: [
                [
                    {field: 'HISOPERCODE', align: 'center', title: '操作员', width: 120, sort: false},
                    {
                        field: 'PAYMETHOD',
                        align: 'center',
                        title: '类别',
                        width: 120,
                        sort: false,
                        templet: function (d) {
                            let result = "";
                            if (d.PAYMETHOD === '1') {
                                result = '门诊';
                            } else if (d.PAYMETHOD === '2') {
                                result = '住院';
                            }
                            return result;
                        }
                    },
                    {
                        field: 'TRADINGSTATUS',
                        align: 'center',
                        title: '交易状态',
                        width: 120,
                        sort: false,
                        templet: function (d) {
                            let tradingstatusStr = "";
                            if (d.TRADINGSTATUS === '1') {
                                tradingstatusStr = '收款记录';
                            } else if (d.TRADINGSTATUS === '2') {
                                tradingstatusStr = '退款记录';
                            }
                            return tradingstatusStr;
                        }
                    },
                    {
                        field: 'BIZTYPE',
                        align: 'center',
                        title: '业务类型',
                        width: 120,
                        sort: false,
                        templet: function (d) {
                            let result = "";
                            for (let i = 0; i < bizTypeList.length; i++) {
                                let obj = bizTypeList[i];
                                if (d.BIZTYPE === obj.dicvalue) {
                                    result = obj.dicname;
                                    break;
                                }
                            }
                            return result;
                        }
                    },
                    {
                        field: 'PAYTYPE',
                        align: 'center',
                        title: '支付方式',
                        width: 120,
                        sort: false,
                        templet: function (d) {
                            let result = "";
                            for (let i = 0; i < payTypeList.length; i++) {
                                let obj = payTypeList[i];
                                if (d.PAYTYPE === obj.dicvalue) {
                                    result = obj.dicname;
                                    break;
                                }
                            }
                            return result || d.PAYTYPE;
                        }
                    },


                    {field: 'TRADETIME', align: 'center', title: '时间', width: 120, sort: false},
                    {field: 'AMOUNT', align: 'center', title: '金额 ', width: 120, sort: false},
                    {field: 'PLATFORMTRANSID', align: 'center', title: '平台订单号 ', width: 120, sort: false},
                    {field: 'HISTRANSID', align: 'center', title: 'his订单号  ', width: 120, sort: false},
                    {field: 'HISTRANSID', align: 'center', title: 'HIS交易ID', width: 120, sort: false},
                    {field: 'PATIENTID', align: 'center', title: '患者id ', width: 120, sort: false},
                    {field: 'PATIENTNAME', align: 'center', title: '患者姓名 ', width: 120, sort: false},
                    {field: 'TRADE_DATE', align: 'center', title: '交易时间', width: 120, sort: false},
                    {field: 'SOURCE', align: 'center', title: '来源', width: 120, sort: false},
                ]
            ],
            data: []
        });


        //时间控件
        laydate.render({
            elem: '#searchDate'
            , type: 'date'
            , range: '~'
        });

        search();
    });

    //查询
    function search(num) {
        num = num === null ? 1 : num;
        let url = "/hisDetail/findHisDetail";
        let param = {};

        let payType = $("#payType").val();
        param.payType = payType;
        let bizType = $("#bizType").val();
        param.bizType = bizType;
        param.likeFiled = $("#likeFiled").val();
        let date = $("#searchDate").val();
        if (date !== '') {
            let time = date.split("~");
            let startTime = time[0].trim();
            let endTime = time[1].trim();

            param.startTime = startTime;
            param.endTime = endTime;

            $(".selectDate").text(startTime + " ~ " + endTime);
        }

        table.reload('test', {
            method: 'get',
            url: url,
            where: param,
            page: {
                curr: num
            }
        });

    }

    //导出
    function exportExcel() {
        let url = "/hisDetail/exportHisDetail";
        let param = {};

        param.payType = $("#payType").val();
        param.bizType = $("#bizType").val();
        param.likeFiled = $("#likeFiled").val();
        let date = $("#searchDate").val();
        if (date !== '') {
            let time = date.split("~");
            let startTime = time[0].trim();
            let endTime = time[1].trim();

            param.startTime = startTime;
            param.endTime = endTime;

        }

        let dowloadName = "HIS账单明细";
        param.dowloadName = dowloadName;
        let load = layer.load();
        AjaxPostJson(url, param, function (data) {
            layer.close(load);
            if (data.errCode === "0") {
                let fileName = data.dlName;
                location.href = '/download?fileName=' + fileName + '&dowloadName=' + dowloadName;
            } else {
                layer.alert(data.errMsg);
            }
        });
    }
</script>
</html>
